/* $Header: /CVSROOT/md5backup/sc-string.h,v 1.2 2004/01/07 12:05:09 tino Exp $
 *
 * $Log: sc-string.h,v $
 * Revision 1.2  2004/01/07 12:05:09  tino
 * Scripts improved, some spelling corrections, and CVS headers added.
 * md5backup.c now has a sanity check which slows down things factor 10.
 *
 */
static char *
strxcpy(char *s, const char *src, size_t max)
{
  if (max)
    {
      strncpy(s, src, max);
      s[max-1]	= 0;
    }
  return s;
}

static char *
strxcat(char *s, const char *src, size_t max)
{
  size_t len;

  for (len=0; len<max && s[len]; len++);
  strxcpy(s+len, src, max-len);
  return s;
}

